Foreman - Bug #6464

ovirt build never finishes, can't be canceled manually
07/01/2014 05:42 PM - Darrell Budic

Status: Duplicate

Priority: Normal

Assignee:

Category: Compute resources - oVirt

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:

Pull request:

Description

kickstarted builds on an ovirt compute resource don't finish, can not cancel build manually.

Either option produces this error (this one from a manual cancel attempt) so the build is never marked completed, even after a
successful build:

Started GET "/hosts/webmail.int.ohgnetworks.com/cancelBuild" for 10.78.4.150 at 2014-07-01 16:17:58 -0500
Processing by HostsController#cancelBuild as HTML

Parameters: {"id"=>"webmail.int.ohgnetworks.com"}

Successfully decrypted field for Foreman::Model::Ovirt OHG-Chicago

Update Compute instance for webmail.int.ohgnetworks.com

Failed to update a compute OHG-Chicago (oVirt) instance webmail.int.ohgnetworks.com: Network interface is already in
use./opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.27/lib/rbovirt.rb:180:in “handle_fault'
/opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.27/lib/rbovirt.rb:114:in “rescue in http_post'
/opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.27/lib/rbovirt.rb:111:in “http_post'
/opt/rh/ruby193/root/usr/share/gems/gems/rbovirt-0.0.27/lib/client/vm_api.rb:54:in “add_interface’
/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.21.0/lib/fog/ovirt/requests/compute/add_interface.rb:9:in “add_interface'
/opt/rh/ruby193/root/usr/share/gems/gems/fog-1.21.0/lib/fog/ovirt/models/compute/server.rb:57:in “add_interface'
/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:319:in “block in update_interfaces'
/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:317:in “each’
/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:317:in “update_interfaces'
/usr/share/foreman/app/models/compute_resources/foreman/model/ovirt.rb:172:in “save_vm'
/usr/share/foreman/app/models/concerns/orchestration/compute.rb:167:in “setComputeUpdate'
/usr/share/foreman/app/models/concerns/orchestration.rb:137:in “execute'
/usr/share/foreman/app/models/concerns/orchestration.rb:85:in “block in process'
/usr/share/foreman/app/models/concerns/orchestration.rb:77:in “each’
/usr/share/foreman/app/models/concerns/orchestration.rb:77:in “process'
/usr/share/foreman/app/models/concerns/orchestration.rb:18:in “on_save'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:660:in
"_run__3513611164277461811__save_ 2407744577836071255__callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in *__ run_callback'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in *_run_save_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in “run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in “create_or_update'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:84:in “save'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:50:in “save'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:22:in “save'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:in "block (2 levels) in save'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in “block in
with_transaction_returning_status'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb
:192:in “transaction’
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in “transaction’
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in
“with_transaction_returning_status'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:241:in "block in save'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:252:in “rollback_active_record_state!'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:240:in “save'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in “save_with_type'

/usr/share/foreman/app/models/host/managed.rb:224:in "built'

/usr/share/foreman/app/controllers/hosts_controller.rb:208:in “cancelBuild'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in “send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in “process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in “process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in “block in process_action’

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:538:in “block (3 levels) in run
_1477377196479570459__ process_action__344018614808067547__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in “block in

conditional _callback _around 6426’

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in “around’

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in *_callback_around 917"

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

" _conditional_callback_around 6426’

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:526:in "block (2 levels) in _run
_1477377196479570459__process_action__344018614808067547__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in “block in

conditional _callback _around 6425’

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in “clear_thread'

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

' _conditional_callback _around 6425’

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:415:in “block in _run
_1477377196479570459__process_action__344018614808067547__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in “block in

conditional_callback_around 6424’

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in “around’

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in ~_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

' _conditional_callback _around 6424’

/opt/rh/ruby 193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in *_run
_1477377196479570459__ process_action__344018614808067547__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in *__run_callback'’

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in *_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in “run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in “process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in “process_action’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in “block in
process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in “block in instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in “instrument’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in “instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in “process_action’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in “process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in “process_action’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in “process'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in “process’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in "dispatch’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in “dispatch’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in “block in action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in “dispatch’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in “block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in “each’
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/lib/apipie/static_dispatcher.rb:65:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.1.2/lib/apipie/middleware/checksum_in_headers.rb:27:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in “call’
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in “context'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:
in “call

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in “block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in
T_run__2797918628914539883__ call_ 2407744577836071255__ callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in *__run_callback'’
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in *_run_call_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in “run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in “call_app'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in “forward'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in “fetch’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in “lookup'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in “call!’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in “call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in “method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in “call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in “block in call’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in “each’
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urimap.rb:49:in “call’
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in “process_request'
/ust/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in
‘accept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in “main_loop'
/ust/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in “block (3 levels) in start_threads'
Rolling back due to a problem: [Compute resource update for webmail.int.ohgnetworks.com 7 failed [#<Host::Managed id: 27,
name: "webmail.int.ohgnetworks.com”, ip: "10.100.100.76", last_compile: nil, last_freshcheck: nil, last_report: "2014-07-01 21:12:48",
updated_at: "2014-07-01 21:12:59", source_file_id: nil, created_at: "2014-06-22 01:31:03", mac: "00:1a:4a:f7:b6:ae", root_pass:
"$6$/7ArF4J6KGXQseyD$Axi0/e9Cg2cuSUxBsvZ1kWNpwCcVilU...", serial: nil, puppet_status: 65, domain_id: 1, architecture_id: 1,
operatingsystem_id: 1, environment_id: 1, subnet_id: 1, ptable_id: 10, medium_id: 1, build: false, comment: "", disk: ", installed_at:
nil, model_id: nil, hostgroup_id: 1, owner_id: 1, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1, managed: true,
use_image: nil, image_file: nil, uuid: "3f3d617a-2222-45b2-9ff7-98bd2827f75d", compute_resource_id: 1, puppet_proxy_id: 1,
certname: nil, image_.id: nil, organization_id: nil, location_id: nil, type: "Host::Managed", compute_profile_id: 3, provision_method:
"build", otp: nil, realm_id: nil>, :setComputeUpdate]]

Failed to save: Failed to update a compute OHG-Chicago (oVirt) instance webmail.int.ohgnetworks.com: Network interface is already
in use.

Redirected to https://font.int.ohgnetworks.com/hosts/webmail.int.ohgnetworks.com

Completed 302 Found in 1178ms (ActiveRecord: 18.9ms)

Ovirt 3.4.2 (also occurred with 3.4.0), 1.6 nightlies for foreman:

rubygem-hammer_cli_foreman-0.1.1-1.201406251551git769e68a.el6.noarch
foreman-selinux-1.6.0-0.develop.201406261522qit5532684.el6.noarch
foreman-proxy-1.6.0-0.develop.201406261245git6dc8c71.el6.noarch
foreman-compute-1.6.0-0.develop.201406301218gite07f9a1l.el6.noarch
foreman-ovirt-1.6.0-0.develop.201406301218gite07f9a1.el6.noarch
foreman-postgresql-1.6.0-0.develop.201406301218gite07f9a1.el6.noarch
foreman-installer-1.6.0-0.develop.201406301239git0fcebfb.el6.noarch
foreman-release-1.6.0-0.develop.201406301218gite07f9a1.el6.noarch
rubygem-foreman_api-0.1.11-1.el6.noarch
foreman-1.6.0-0.develop.201406301218gite07f9a1.el6.noarch
https://font.int.ohgnetworks.com/hosts/webmail.int.ohgnetworks.com

foreman-cli-1.6.0-0.develop.201406301218gite07f9a1.el6.noarch
ruby193-rubygem-rbovirt-0.0.27-1.el6.noarch

Related issues:
Is duplicate of Foreman - Bug #4375: Kickstart provisioning is on a loop when... Closed 02/18/2014

History

#1 - 07/02/2014 02:55 AM - Dominic Cleal

- Is duplicate of Bug #4375: Kickstart provisioning is on a loop when using compute profiles with ovirt Compute Resource. added

#2 - 07/02/2014 02:55 AM - Dominic Cleal

- Status changed from New to Duplicate

I believe this is the same as #4375, check one of the last comments for a small code change to workaround the problem.

#3 - 07/02/2014 12:57 PM - Darrell Budic

Whups, I'd seen that and thought it was different for some reason, but | believe you're correct and it's the same issue.

| can confirm that the workaround for #4375 resolved my problem here. Thanks!
https://projects.theforeman.org/issues/4375
https://projects.theforeman.org/issues/4375
http://www.tcpdf.org

